# GET All Odds

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/{sport}/pre-match
```

{% endtab %}

{% tab title="Example Response" %}

```json
        {
            "id": 1040325,
            "fixture_id": 18557891,
            "market_id": 1,
            "bookmaker_id": 28,
            "label": "1",
            "value": "2.05",
            "name": "Home",
            "sort_order": null,
            "market_description": "Match Winner",
            "probability": "48.78%",
            "dp3": "2.050",
            "fractional": "31/15",
            "american": "104",
            "winning": false,
            "stopped": false,
            "total": null,
            "handicap": null,
            "participants": "10266"
        },
        {
            "id": 1040326,
            "fixture_id": 18557891,
            "market_id": 1,
            "bookmaker_id": 28,
            "label": "X",
            "value": "3.10",
            "name": "Draw",
            "sort_order": null,
            "market_description": "Match Winner",
            "probability": "32.26%",
            "dp3": "3.100",
            "fractional": "25/8",
            "american": "210",
            "winning": false,
            "stopped": false,
            "total": null,
            "handicap": null,
            "participants": null
        },
        {
            "id": 1040327,
            "fixture_id": 18557891,
            "market_id": 1,
            "bookmaker_id": 28,
            "label": "2",
            "value": "3.20",
            "name": "Away",
            "sort_order": null,
            "market_description": "Match Winner",
            "probability": "31.25%",
            "dp3": "3.200",
            "fractional": "16/5",
            "american": "220",
            "winning": false,
            "stopped": false,
            "total": null,
            "handicap": null,
            "participants": "6157"
        },
```

{% endtab %}

{% tab title="Field Description" %}

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Query Parameters" %}

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the <a href="broken-reference">base entity</a></td></tr><tr><td><code>filters</code></td><td>NO</td><td>Filter the API response on multiple related entities. There are static filters and dynamic filters.​Please find the possibilities in the Static and Dynamic Filter tab.</td></tr></tbody></table>
{% endtab %}

{% tab title="Static Filters" %}
**Static filters** are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our[ Filters page](https://docs.sportmonks.com/football2/api/request-options/filtering).

| Static Filters | Available on Entity | Description                                                                                                                                               | Example                                                     |
| -------------- | ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------- |
| `IdAfter`      | All                 | Filter all inplay odds starting from a certain inplay odd ID. Handy if you're doing an import for all inplay odds and want to continue from a certain ID. | \&filters=IdAfter:inplayoddID \&filters=IdAfter:4430465     |
| `Deleted`      | Fixture             | Filter on deleted fixtures only. This filter helps to keep your database in sync.                                                                         | \&include=fixtures\&filters=IsDeleted                       |
| `Markets`      | Odds                | Filter the odds on a selection of markets separated by a comma.                                                                                           | \&filters=markets:marketIDs \&filters=markets:12,14         |
| `Bookmakers`   | Odds                | Filter the odds on a selection of bookmakers separated by a comma. (e.g: 2,14).                                                                           | \&filters=bookmakers:bookmakerIDs \&filters=bookmakers:2,14 |
| `WinningOdds`  | Odds                | Filter all winning odds.                                                                                                                                  | \&filters=winningOdds                                       |
| {% endtab %}   |                     |                                                                                                                                                           |                                                             |

{% tab title="Dynamic Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}
{% endtabs %}

#### Pagination

YES

#### Include depth

You can use a total of `1` nested includes on this endpoint

#### Include options

[`fixture`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/9zsNGu3HAzSnl5DWBD3Y/) [`market`](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/market) [`bookmaker`](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/bookmaker)

#### Related entities

[Odd](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/odd)

#### Code Example

{% tabs %}
{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/odds/pre-match?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body

```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/odds/pre-match?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sportmonks.com/v3/odds/pre-match?api_token={your_token}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $respons
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.sportmonks.com/v3/odds/pre-match?api_token={your_token}")
  .method("GET", null)
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Node.js" %}

```
var unirest = require('unirest');
var req = unirest('GET', 'https://api.sportmonks.com/v3/odds/pre-match?api_token={your_token}')
  .end(function (res) { 
    if (res.error) throw new Error(res.error); 
    console.log(res.raw_body);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.sportmonks.com/v3/odds/pre-match?api_token={your_token}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}
